/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.view.media.operation;

import org.eclipse.core.commands.operations.IUndoContext;

import eu.etaxonomy.cdm.model.description.DescriptionBase;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;

/**
 *
 * This operation adds an already existing  {@link Media} to the currently selected {@link DescriptionBase}.
 * @author pplitzner
 * @date 01.09.2014
 *
 */
public class AddExistingMediaToImageGalleryOperation extends AddMediaToImageGalleryOperation {

	public AddExistingMediaToImageGalleryOperation(Media media, String label,
			IUndoContext undoContext, DescriptionBase<?> description, IPostOperationEnabled postOperationEnabled) {
	    super(media, label, undoContext, description, postOperationEnabled);

	}
}
